Bug 51334 - [New Port] devel/ZendOptimizer 2.1.0a
Summary: [New Port] devel/ZendOptimizer 2.1.0a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-24 00:00 UTC by Alex Dupre
Modified: 2004-01-09 21:41 UTC (History)
0 users

See Also:


Attachments
ZendOptimizer.sh (4.12 KB, text/plain)
2003-04-24 00:00 UTC, Alex Dupre
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre 2003-04-24 00:00:29 UTC
Port of the Zend Optimizer for PHP 4.3 and FreeBSD 4.

The Zend Optimizer is a free application that runs the files
encoded by the Zend Encoder and Zend SafeGuard Suite, while
enhancing the running speed of PHP applications.

Benefits:
- Enables users to run files encoded by the Zend Encoder
- Increases runtime performance up to 40%.

WWW: http://www.zend.com/store/products/zend-optimizer.php
Comment 1 edwin 2003-09-07 08:39:06 UTC
The old tarball isn't there anymore, but there is a 2.1.0b one.

For it, the do-install target has to be:

do-install:
        ${MKDIR} ${PREFIX}/lib/php/${EXT_DIR}
        ${INSTALL_DATA} ${WRKSRC}/data/4_3_x_comp/ZendOptimizer.so \
               ${PREFIX}/lib/php/${EXT_DIR}/ZendOptimizer.so
        ${INSTALL_DATA} ${WRKSRC}/data/4_3_x_comp/TS/ZendOptimizer.so \
               ${PREFIX}/lib/php/${EXT_DIR}/ZendOptimizer_TS.so
.if !defined(NOPORTDOCS)
        @${MKDIR} ${DOCSDIR}
        @${INSTALL_DATA} ${WRKSRC}/data/doc/* ${DOCSDIR}
.endif

Do you agree with this?

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php
Comment 2 Norikatsu Shigemura freebsd_committer 2003-10-17 09:13:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

Over to volunteer.
Comment 3 Edwin Groothuis freebsd_committer 2004-01-09 21:41:29 UTC
State Changed
From-To: open->closed

Commited, thanks!